package var.web.ws.sensor;

import javax.websocket.OnClose;
import javax.websocket.OnOpen;
import javax.websocket.Session;
import javax.websocket.server.ServerEndpoint;

@ServerEndpoint(value = "/messungen")
public class MessungsService {

	@OnOpen
	public void open(Session session) {
		SensorSimulator sensor = new SensorSimulator(session);
		session.getUserProperties().put("sensor", sensor);
		sensor.start();
	}

	@SuppressWarnings("deprecation")
	@OnClose
	public void close(Session session) {
		SensorSimulator sensor = (SensorSimulator) session.getUserProperties().get("sensor");
		sensor.stop();
		session.getUserProperties().remove("sensor");
	}
}
